package com.inkasso.factoring.creditmanagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 征信相关情况 企业负责人历史表
 * </p>
 *
 * @author liutao
 * @since 2023-12-01
 */
@TableName("c_credit_investigation_info_history")
public class CCreditInvestigationInfoHistory {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 企业信息id
     */
    @TableField("c_enterprise_history_id")
    private Long cEnterpriseHistoryId;

    /**
     * 身份类型
     */
    @TableField("type")
    private String type;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 身份证号码
     */
    @TableField("social_credit_code")
    private String socialCreditCode;

    /**
     * 电话号码
     */
    @TableField("phone_number")
    private String phoneNumber;

    /**
     * 邮箱
     */
    @TableField("email")
    private String email;

    /**
     * 户籍地址
     */
    @TableField("domicile_address")
    private String domicileAddress;

    /**
     * 常住地址
     */
    @TableField("permanent_address")
    private String permanentAddress;

    /**
     * 证件有效开始日期
     */
    @TableField("valid_from")
    private String validFrom;

    /**
     * 证件有效截止日期
     */
    @TableField("valid_to")
    private String validTo;

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getDomicileAddress() {
        return domicileAddress;
    }

    public void setDomicileAddress(String domicileAddress) {
        this.domicileAddress = domicileAddress;
    }

    public String getPermanentAddress() {
        return permanentAddress;
    }

    public void setPermanentAddress(String permanentAddress) {
        this.permanentAddress = permanentAddress;
    }

    public String getValidFrom() {
        return validFrom;
    }

    public void setValidFrom(String validFrom) {
        this.validFrom = validFrom;
    }

    public String getValidTo() {
        return validTo;
    }

    public void setValidTo(String validTo) {
        this.validTo = validTo;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getcEnterpriseHistoryId() {
        return cEnterpriseHistoryId;
    }

    public void setcEnterpriseHistoryId(Long cEnterpriseHistoryId) {
        this.cEnterpriseHistoryId = cEnterpriseHistoryId;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    @Override
    public String toString() {
        return "CCreditInvestigationInfoHistory{" +
            "cEnterpriseHistoryId=" + cEnterpriseHistoryId +
            ", type=" + type +
            ", name=" + name +
            ", socialCreditCode=" + socialCreditCode +
        "}";
    }
}
